com.jogamp.common.os

## Class AndroidVersion

- java.lang.Object
- - com.jogamp.common.os.AndroidVersion

-     public class AndroidVersion
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Platform.ABIType` | `ABI_TYPE`
    `static Platform.ABIType` | `ABI_TYPE2`
    `static String` | `CODENAME` Development codename, or the string "REL" for official release
    `static String` | `CPU_ABI` The name of the instruction set (CPU type + ABI convention) of native code.
    `static String` | `CPU_ABI2` The name of the second instruction set (CPU type + ABI convention) of native code.
    `static Platform.CPUType` | `CPU_TYPE`
    `static Platform.CPUType` | `CPU_TYPE2`
    `static String` | `INCREMENTAL` internal build value used by the underlying source control.
    `static boolean` | `isAvailable`
    `static String` | `RELEASE` official build version string
    `static int` | `SDK_INT` SDK Version number, key to VERSION_CODES
    `static String` | `SDK_NAME` SDK Version string

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AndroidVersion()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### isAvailable

          public static final boolean isAvailable

    - #### CPU_ABI

          public static final String CPU_ABI

      The name of the instruction set (CPU type + ABI convention) of native code. API-4. All lower case.

    - #### CPU_TYPE

          public static final Platform.CPUType CPU_TYPE

    - #### ABI_TYPE

          public static final Platform.ABIType ABI_TYPE

    - #### CPU_ABI2

          public static final String CPU_ABI2

      The name of the second instruction set (CPU type + ABI convention) of native code. API-8. All lower case.

    - #### CPU_TYPE2

          public static final Platform.CPUType CPU_TYPE2

    - #### ABI_TYPE2

          public static final Platform.ABIType ABI_TYPE2

    - #### CODENAME

          public static final String CODENAME

      Development codename, or the string "REL" for official release

    - #### INCREMENTAL

          public static final String INCREMENTAL

      internal build value used by the underlying source control.

    - #### RELEASE

          public static final String RELEASE

      official build version string

    - #### SDK_INT

          public static final int SDK_INT

      SDK Version number, key to VERSION_CODES

    - #### SDK_NAME

          public static final String SDK_NAME

      SDK Version string

  - ### Constructor Detail

    - #### AndroidVersion

          public AndroidVersion()